commit 9b3eb2d82461fd0368bcf26e63f7fb077f34cc3d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 4 17:00:08 2011 +0200

    build: Complete previous commit (3f82cd8f)
    
    This made the build fail because GCONF_SCHEMAS_INSTALL was not defined.

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3f82cd8f0ffd5041a9b4bf2e96f47cf492fcc95c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Jul 2 09:27:43 2011 +0200

    build: Only use AM_GCONF_SOURCE_2 if we build against GTK+ 2.x
    
    We won't instally any gconf schema if we build against GTK+ 3.x, so
    gconf might not even be installed during the build.

 configure.ac |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit f0406d6636de2f595a0c0381a0d59fa87e2127f9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 15:04:36 2011 +0200

    build: Modernize build system a bit
    
    Stop using GNOME_COMMON_INIT as it is deprecated.
    Use the tar-ustar option for AM_INIT_AUTOMAKE for better tarballs.
    Require intltool 0.40.6 to avoid various bugs.
    Do not use libtool as there's nothing needing it.
    Do not use AC_ISC_POSIX, AC_HEADER_STDC, AM_PROG_CC_C_O as they
    shouldn't be needed on modern systems.
    Do not use AC_C_BIGENDIAN as we do not need it.
    Do not use GNOME_DEBUG_CHECK as we do not need it.
    Use GNOME_MAINTAINER_MODE_DEFINES instead of defining all
    *_DISABLE_DEPRECATED flags ourselves.
    Drop manual check for additional compiler flags.

 configure.ac |   54 +++++-------------------------------------------------
 1 files changed, 5 insertions(+), 49 deletions(-)

commit de372b9db215f146c77c3b64b8bbc2d329e054f0
Author: Evangelos Vafeiadis <vagvaf@gmail.com>
Date:   Sat May 7 22:52:43 2011 +0300

    l10n: Updated Greek translation for gnome-web-photo

 po/LINGUAS |    1 +
 po/el.po   |  305 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 306 insertions(+), 0 deletions(-)

commit a7b75c78eb8eb4807531ddad13686421c758a9cf
Author: Gabriel Speckhahn <gabspeck@gmail.com>
Date:   Mon May 2 14:17:42 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  295 +++++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 227 insertions(+), 68 deletions(-)

commit c5efdaff2e176f54660e93ef055b85f982857325
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Tue Apr 19 23:42:01 2011 +0900

    Updated Japanese translation.

 po/ja.po |  279 +++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 220 insertions(+), 59 deletions(-)

commit f256c9076825d81bbef1f003d1423254eb38b80f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:23:53 2011 +0200

    build: Change URI for bug reports in configure script

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 36463eeebbb57b6c551f95ae48654ecb37f51763
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:22:24 2011 +0200

    release: post-release bump to 0.10.2

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1108fa1950ef8d7a9aaed6f6a9af5a9e7fed47ea
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:22:16 2011 +0200

    release: 0.10.1

 NEWS         |   14 ++++++++++++++
 configure.ac |    2 +-
 2 files changed, 15 insertions(+), 1 deletions(-)

commit 90f87baadf5749bca5c811a4aba33038d4307883
Author: Edison Zhao <edison0354@gmail.com>
Date:   Tue Mar 29 16:51:44 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po |  278 ++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 218 insertions(+), 60 deletions(-)

commit 46236de803cf2882c508b4774506060af4e7dc18
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Tue Mar 29 16:16:11 2011 +0200

    Updated Slovenian translation

 po/sl.po |  122 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 55 insertions(+), 67 deletions(-)

commit 183e17e469b8284b4f48c844e34457faca6a50ec
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Mar 17 20:02:26 2011 +0100

    Updated Spanish translation

 po/es.po |   53 ++++++++++++++++++-----------------------------------
 1 files changed, 18 insertions(+), 35 deletions(-)

commit e5e42bde3dee9f4ff3894621a79e627f630963a5
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Mar 17 18:12:39 2011 +0100

    [l10n] Updated German translation

 po/de.po |  301 ++++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 244 insertions(+), 57 deletions(-)

commit 0b312b57977fb93180dceba806da7b9a3e6337df
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Mar 15 21:52:43 2011 +0100

    Updated Slovenian translation

 po/sl.po |  293 +++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 244 insertions(+), 49 deletions(-)

commit 60f6ddaf41cef10385dc667484242a43ff4fbb46
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Mar 14 22:54:19 2011 +0100

    Updated Spanish translation

 po/es.po |  325 ++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 266 insertions(+), 59 deletions(-)

commit fe49e6c730bea947301b531ea73de0da4e0bc1dc
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Mar 14 10:54:43 2011 +0100

    Updated Czech translation

 po/cs.po |  323 +++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 266 insertions(+), 57 deletions(-)

commit 5543c3b80f75eedbec657b38909a888d76d9b7f2
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Mar 14 08:45:16 2011 +0100

    Updated Swedish translation

 po/sv.po |  284 +++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 233 insertions(+), 51 deletions(-)

commit bec68c8187f7f2e93d28e044d60c6dbd74e031d2
Author: Claude Paroz <claude@2xlibre.net>
Date:   Wed Mar 9 17:23:07 2011 +0100

    Updated French translation

 po/fr.po |  289 ++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 226 insertions(+), 63 deletions(-)

commit ef62a8220c59b0dad4d9bf9262c78e05e5ffa8c2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:47:22 2011 +0100

    release: post-release bump to 0.11

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ab7f555a5648854b811154ab1af5da20182dab7f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:47:14 2011 +0100

    release: 0.10

 NEWS |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit ebfe6297deec47a5a328dc6ead25aa1a2ebeb57b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:28:31 2011 +0100

    Pre-release bump to 0.10

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3c958f633eecc31f475658da991d79018d1d050f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:28:07 2011 +0100

    Fix 'make dist'

 data/Makefile.am |   16 +++++++++-------
 po/POTFILES.in   |    3 ++-
 2 files changed, 11 insertions(+), 8 deletions(-)

commit 14b882f50aecf14b7c02eb1ddbc50bd264711eed
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:20:09 2011 +0100

    Point to bugzilla for bugs
    
    Okay, we don't have the product in bugzilla yet, but we'll have soon.
    See https://bugzilla.gnome.org/show_bug.cgi?id=642496

 gnome-web-photo.doap |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2c97853630d06894bd0e807460dc1aff0c2f8042
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:20:02 2011 +0100

    Reformat TODO

 TODO |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 621edfba295d33601a7eb00ab90c22366b9d2d81
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:19:49 2011 +0100

    Update ChangeLog.README/HACKING

 ChangeLog.README |   64 ++++++++++++++++++++++++++++++++++++-----------------
 HACKING          |   38 +++++++++++++++++++++++--------
 2 files changed, 71 insertions(+), 31 deletions(-)

commit 3822a1e038af544839fb718c8979bc2773be24d0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:19:25 2011 +0100

    Taking over maintainership, after discussion with Christian

 AUTHORS              |    2 +-
 gnome-web-photo.doap |    7 +++++++
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 8e682a6bd08af208434ee4e591818728ea459444
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:19:00 2011 +0100

    Tiny improvement in README

 README |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit c98cbaaaae31c94cefe489e4e53d8b1a2f4a3852
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 20:08:16 2011 +0100

    Implement printing to printer (--printer=PRINTER)

 TODO                  |    1 -
 configure.ac          |   11 +++
 src/Makefile.am       |    4 +-
 src/gnome-web-photo.c |  170 +++++++++++++++++++++++++++++++++++++++++++------
 4 files changed, 164 insertions(+), 22 deletions(-)

commit 0f863ec4e9bfd7ca3a35ce1449b520ef34c75bfa
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 18:51:30 2011 +0100

    Add example CSS rules to deal with iframes
    
    There seems to be a webkit bug when we use "height: 100%;" and the
    hidden overflow rules, though: lots of empty space at the end.

 TODO           |    4 ++++
 data/style.css |   15 +++++++++++++++
 2 files changed, 19 insertions(+), 0 deletions(-)

commit e4a9de6ac0a6272db8189a27538cdbd355e71c3d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 18:51:10 2011 +0100

    Move TODO item from code to TODO file

 TODO                  |    5 +++++
 src/gnome-web-photo.c |    5 -----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 291638a762675c86a38857780da2f604f204d7e9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 18:43:31 2011 +0100

    Add a (hidden) debug mode that displays the page in a window
    
    It really just displays what would be output in a file. Note that we
    explicitly don't put a limit on the height, which might cause
    interesting issues for pages that are too tall. But it's the debug mode,
    so it's fine :-)

 src/gnome-web-photo.c |   66 +++++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 56 insertions(+), 10 deletions(-)

commit c6d512109a83ecbb3d0b7aaffa0ab060962a8a73
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 16:30:30 2011 +0100

    Add --user-css option, to let user specify a custom CSS

 src/gnome-web-photo.c |   63 ++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 49 insertions(+), 14 deletions(-)

commit 4b098755dfaf93ae1bba380454f6c2fa26ace70d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 16:07:59 2011 +0100

    Set max height of offscreen window to requested width for thumbnails
    
    There is absolutely no point in wanting to see more for thumbnails. This
    can only improve performance (a bit).

 src/gnome-web-photo.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 1e67a1604434d469027ba63a288d86394386032d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 16:05:45 2011 +0100

    Add back the use of a user CSS
    
    It's empty at the moment, but people might want to tweak that.

 data/Makefile.am      |    8 ++++++--
 data/style.css        |    3 +++
 src/Makefile.am       |    1 +
 src/gnome-web-photo.c |    9 +++++++++
 4 files changed, 19 insertions(+), 2 deletions(-)

commit 3295f8b96456f9f69745d66966b906aeae75334e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 12:15:43 2011 +0100

    Enforce the cairo limit everywhere

 src/gnome-web-photo.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit b75bf0f11f1dc13ea2a64fee68b1b2b71614c63e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 12:14:51 2011 +0100

    Set the maximum height of the offscreen window to the cairo limit

 src/gnome-web-photo.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit f85812f3adc4b79b165ccb9e8a657ded2d29b250
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 12:10:06 2011 +0100

    Add max-width property to PhotoOffscreenWindow
    
    We won't use it, but it makes the widget a bit more generic.

 src/photo-offscreen-window.c |   74 +++++++++++++++++++++++++++++++++++++++---
 src/photo-offscreen-window.h |    4 ++
 2 files changed, 73 insertions(+), 5 deletions(-)

commit 7e65ee0773d7d356f3403f3f1feff6a8d1f6c4d5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 12:06:07 2011 +0100

    Add max-height property to PhotoOffscreenWindow

 src/photo-offscreen-window.c |  116 +++++++++++++++++++++++++++++++++++++++---
 src/photo-offscreen-window.h |   12 ++++-
 2 files changed, 119 insertions(+), 9 deletions(-)

commit 4059c65f2b3dfcb13a4da4ec16a0b48ca3fa2967
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 16 11:24:21 2011 +0100

    Split PhotoOffscreenWindow in its own files

 src/Makefile.am              |    6 ++-
 src/gnome-web-photo.c        |   82 +----------------------------------------
 src/photo-offscreen-window.c |   82 ++++++++++++++++++++++++++++++++++++++++++
 src/photo-offscreen-window.h |   55 ++++++++++++++++++++++++++++
 4 files changed, 143 insertions(+), 82 deletions(-)

commit 6c0b1e5b86b60c398d4edf66722f5cc337e5f605
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 15 08:59:52 2011 +0100

    Remove outdated TODO item

 src/gnome-web-photo.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 72cda20ff237127f9f9b0e40828e01b570115e4c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 15 08:52:41 2011 +0100

    Add missing git.mk, from pango
    
    Since we only have automatically added files in m4/, add them to
    MAINTAINERCLEANFILES.

 Makefile.am |    1 +
 git.mk      |  196 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 197 insertions(+), 0 deletions(-)

commit 86f27fd1831dac66081b180d8434fc331bc12686
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 15 08:52:07 2011 +0100

    Add ${ACLOCAL_FLAGS} to ACLOCAL_AMFLAGS
    
    This is used by gnome-autogen.sh, and we need it when aclocal.m4 is to
    be rebuilt by make, to avoid losing some aclocal paths.

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 66964e8be30dda1022ad8e378eb732e22a94209b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 15 08:51:30 2011 +0100

    Rename COPYING.LGPL to COPYING
    
    Else, autotools add a COPYING file during "make dist".

 COPYING      |  510 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 COPYING.LGPL |  510 ----------------------------------------------------------
 Makefile.am  |    2 +-
 3 files changed, 511 insertions(+), 511 deletions(-)

commit 26435ee035a239bf2c56b5a74fb697b26659ff2e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 15 08:47:56 2011 +0100

    Complete rewrite: it's now using webkit

 Makefile.am                      |    3 +-
 README                           |    3 +-
 TODO                             |    7 -
 autogen.sh                       |    2 +-
 configure.ac                     |  103 ++---
 data/Makefile.am                 |   16 +-
 data/gnome-web-photo.thumbnailer |    4 +
 data/prefs.js                    |   73 ---
 data/style.css                   |    3 -
 data/thumbnailer.schemas.in      |    4 +-
 m4/libxul.m4                     |  566 ----------------------
 src/Components.cpp               |  191 --------
 src/Components.h                 |   28 --
 src/Embed.cpp                    |  163 -------
 src/Embed.h                      |   65 ---
 src/Listener.cpp                 |  134 ------
 src/Listener.h                   |   55 ---
 src/Makefile.am                  |   54 +--
 src/Prefs.cpp                    |  182 -------
 src/Prefs.h                      |   28 --
 src/Printer.cpp                  |  199 --------
 src/Printer.h                    |   55 ---
 src/Writer.cpp                   |  712 ----------------------------
 src/Writer.h                     |  135 ------
 src/gnome-web-photo.c            |  971 ++++++++++++++++++++++++++++++++++++++
 src/main.cpp                     |  657 --------------------------
 26 files changed, 1026 insertions(+), 3387 deletions(-)

commit d0391cdd8a65d366e208e8bc9a4e41440804844d
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Wed Sep 29 07:55:41 2010 +0200

    Added Hebrew translation.

 po/LINGUAS |    1 +
 po/he.po   |  139 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 140 insertions(+), 0 deletions(-)

commit 1f5b3bee0609716cbd926f5274e2fd55270d337e
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Aug 16 20:17:23 2010 +0530

    added Punjabi Language

 po/LINGUAS |    1 +
 po/pa.po   |  142 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 143 insertions(+), 0 deletions(-)

commit daf2cf9f09b298fd7a47772bd1c84f4854377141
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Apr 25 10:35:16 2010 +0200

    Updated Slovenian translation

 po/sl.po |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

commit f4268084709130fc23e3919dd9a3b0d55f5605a9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Mar 15 14:23:06 2010 +0100

    Add Norwegian language entry.

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6cf2f7df04c4635368748c880b634b4f0cf2277a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Mar 15 14:22:54 2010 +0100

    Added Norwegian bokmål translation

 po/nb.po |  137 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 137 insertions(+), 0 deletions(-)

commit 03386cfdffcacacdd9b0d6804bc0055e6015bc21
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Mar 9 11:23:04 2010 +0100

    Updated Polish translation

 po/LINGUAS |    1 +
 po/pl.po   |  148 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 149 insertions(+), 0 deletions(-)

commit cf49e379935c15267bdc582502a5da5ebfc45ae6
Author: Antón Méixome <meixome@certima.net>
Date:   Fri Mar 5 01:10:37 2010 +0100

    Add Galician translation

 po/LINGUAS |    1 +
 po/gl.po   |  149 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 150 insertions(+), 0 deletions(-)

commit 611f2f29c6c5ae13eab5690c2a4e4a2ae0c6b2b8
Author: Flamarion Jorge <jorge.flamarion@gmail.com>
Date:   Thu Dec 31 18:59:45 2009 -0200

    Added Brazilian Portuguese translation
    
    Reviewed by Djavan Fagundes <dnoway@gmail.com>

 po/LINGUAS  |    1 +
 po/pt_BR.po |  145 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 146 insertions(+), 0 deletions(-)

commit 5c627695ff5a035c4a4776ee8c367ad619dfc876
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Dec 30 01:43:25 2009 +0100

    Add Czech translation.

 po/LINGUAS |    1 +
 po/cs.po   |  146 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 147 insertions(+), 0 deletions(-)

commit 7086030b9b0be058b595a65b8c70c2dafc591126
Author: 运强 苏 <wzssyqa@gmail.com>
Date:   Fri Dec 25 17:53:52 2009 +0800

    Add Simplified Chinese translation.

 po/LINGUAS  |    1 +
 po/zh_CN.po |  139 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 140 insertions(+), 0 deletions(-)

commit 8a4b776150f2e6eb3327d293f2f751277550c4ce
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Wed Nov 18 17:00:35 2009 +0100

    Added German translation

 po/LINGUAS |    1 +
 po/de.po   |  153 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 154 insertions(+), 0 deletions(-)

commit 19049630d3d6571cbbb17cbc88b86ef4c559cca7
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sat Nov 7 10:14:03 2009 +0100

    Added Danish translation

 po/da.po |  143 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 143 insertions(+), 0 deletions(-)

commit 5d5ec05c74c63f9ceb6da0c594a64e9349f753f4
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sat Nov 7 10:13:24 2009 +0100

    Added da to list of languages

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9723aebcae1d2cece71e79ee7939c8ae7c0c1942
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Nov 6 14:53:51 2009 +0100

    Updated Slovenian translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 331b24aba8cff6d743d198e42cdd79bb58f52daa
Author: Vanja Cvelbar <cvelbar@gmail.com>
Date:   Fri Nov 6 14:53:37 2009 +0100

    Updated Slovenian translation

 po/sl.po |  131 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 131 insertions(+), 0 deletions(-)

commit 685ee8a2978c3b5c084b6ce907c9157c12f91714
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Nov 2 12:05:56 2009 +0100

    Updated Spanish translation

 po/es.po |  146 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 146 insertions(+), 0 deletions(-)

commit e79e7961f0edfffcfdec0e266fad3293c0aaa05d
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Oct 25 20:58:42 2009 +0100

    Remove gitignore files

 .gitignore      |   65 -------------------------------------------------------
 data/.gitignore |   23 -------------------
 src/.gitignore  |   23 -------------------
 3 files changed, 0 insertions(+), 111 deletions(-)

commit ea123ad14d657fdd3500671a201b3556bed44751
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Oct 24 14:50:46 2009 +0200

    Add French translation
    
    Contributed by Nicolas Repentin and Claude Paroz

 po/LINGUAS |    1 +
 po/fr.po   |  146 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 147 insertions(+), 0 deletions(-)

commit 0863a1d25b9bb68bf9d1869bbcf567a68c1a36bd
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Oct 22 00:40:58 2009 +0200

    Automatically update .gitignore files
    
    Import git.mk.

 .gitignore       |   65 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am      |   29 +++++++++++++++++++++++-
 configure.ac     |    2 +-
 data/.gitignore  |   23 +++++++++++++++++++
 data/Makefile.am |    2 +
 src/.gitignore   |   23 +++++++++++++++++++
 src/Makefile.am  |    2 +
 7 files changed, 144 insertions(+), 2 deletions(-)

commit a1bbf9250add4e2f6b5a671dd769fc805304d23d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Oct 17 11:38:23 2009 +0200

    Added es to LINGUAS

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 43c7d18a72e285081ece0155674a8c11d7205d86
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 21 13:28:40 2009 +0200

    Version 0.9

 NEWS         |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 05aff042297b212f4600a8566b91925f8428b21f
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 9 18:52:00 2009 +0200

    Update

 NEWS |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 2ad6993ae4e577961ab3b978556115bf18c72d68
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 9 18:50:17 2009 +0200

    Distcheck with --disable-silent-rules

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6e3299a36e950899f943b8ceda36a89a0abebc6d
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Aug 16 20:45:56 2009 +0200

    Support silent build with automake 1.11
    
    Add AM_SILENT_RULES, and sprinkle some $(AM_V_GEN) around.

 Makefile.am  |    2 +-
 configure.ac |    2 ++
 2 files changed, 3 insertions(+), 1 deletions(-)

commit ca4fab231fe3ff735332bab3beb1a77c76f40c2d
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Jun 29 14:19:53 2009 +0200

    Version 0.8

 NEWS         |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 658b75afe04fe4a4ee1efd5b68f36b5886c1519b
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jun 12 15:00:21 2009 +0200

    Use g_printerr instead of g_warning here

 src/main.cpp |   36 ++++++++++++++++++------------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit 4bb1e67e0860897c1a90a7146d70291d5798331b
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jun 12 14:57:12 2009 +0200

    Returns rv, not FALSE
    
    Fixes a bug where the glue startup failed, but returning FALSE (which is
    == NS_OK) meant that we continued to startup g-w-p, instead of exiting.

 src/main.cpp |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 7e7de5784b1ddfe5d9fe1ef6544394f75679ce22
Author: Christian Persch <chpe@gnome.org>
Date:   Tue May 12 13:54:42 2009 +0200

    Remove MAINTAINERS file, and dist the DOAP file

 MAINTAINERS          |    3 ---
 Makefile.am          |    2 +-
 gnome-web-photo.doap |    4 ++--
 3 files changed, 3 insertions(+), 6 deletions(-)

commit 02bee2e52d4a6a3729f84ed4816aa5c996e8a073
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Apr 21 22:37:01 2009 +0200

    Add DOAP file

 gnome-web-photo.doap |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit 1bf661347885ef7ecacf72297f7e4b138ada9738
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Apr 12 13:48:53 2009 +0000

    Version 0.7.
    
    svn path=/trunk/; revision=128

 NEWS         |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit ad95ae21a8a9f72b22d1cf6d749d7c64c04c811f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Mar 25 11:38:12 2009 +0000

    Fix build with xulrunner 1.9.1. Bug #576674, based on a patch by Jan Horak.
    
    svn path=/trunk/; revision=127

 src/Writer.cpp |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 1432eadee3d6a0dbb9747de4e0db7daf44e81297
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 17 14:33:06 2009 +0000

    Post release version bump
    
    svn path=/trunk/; revision=126

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ba511950e52af99fc9c6fc85489a642e87be26e4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 17 14:32:40 2009 +0000

    NEWS update
    
    svn path=/trunk/; revision=125

 NEWS |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit d98a0a49ad3d5e2c8ad79dd1c611f19371bde709
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 17 13:56:08 2009 +0000

    Version 0.6
    
    svn path=/trunk/; revision=124

 configure.ac |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 19624d329bef5eb789c1ce1d5bdefa4e0ac03c59
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 17 13:56:03 2009 +0000

    Remove SVN ChangeLog rule.
    
    svn path=/trunk/; revision=123

 Makefile.am |    8 --
 svn2cl.xsl  |  295 -----------------------------------------------------------
 2 files changed, 0 insertions(+), 303 deletions(-)

commit 82b8523db43574e7c19f1e00e5a22724f16a9fb2
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Fri Feb 20 13:00:31 2009 +0000

    Updated sv translation (Daniel Nylander)
    
    svn path=/trunk/; revision=122

 po/sv.po |   91 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 files changed, 85 insertions(+), 6 deletions(-)

commit 853f586b9895444fcee1cdba085359f2627dd8ef
Author: Vincent Untz <vuntz@src.gnome.org>
Date:   Thu Dec 11 20:47:14 2008 +0000

    Don't set config.use_system_prefs to true.
    It's needed only for the proxy, and xulrunner 1.9 uses gconf for that now.
    
    svn path=/trunk/; revision=121

 data/prefs.js |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 111e920af979ed83466f34b0cb877ab39781fddc
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sat Oct 4 06:23:45 2008 +0000

    Updated Japanese translation.
    
    2008-10-04  Takeshi AIHANA <takeshi.aihana@gmail.com>
    
    	* ja.po: Updated Japanese translation.
    
    svn path=/trunk/; revision=120

 po/ja.po |  124 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 117 insertions(+), 7 deletions(-)

commit 93db6e8c78c9695b65fa2933ea6323881296ff10
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Sep 21 11:27:48 2008 +0000

    Remove po/ChangeLog, and depend on intltool 0.40.4 in svn builds.
    
    svn path=/trunk/; revision=119

 autogen.sh   |    2 +-
 po/ChangeLog |   13 -------------
 2 files changed, 1 insertions(+), 14 deletions(-)

commit b16e1e4b4474040270fda4bf889dfbfbfac63020
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 30 15:19:41 2008 +0000

    PRVB
    
    svn path=/trunk/; revision=118

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a33e80177bee3faf79d96ad3d28e49ec40d309c7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 30 15:18:44 2008 +0000

    Version 0.5.
    
    svn path=/trunk/; revision=116

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1cb9c716dda640b62890934c06aae155ee7364e8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 30 15:18:40 2008 +0000

    Support ChangeLog generation from git repo.
    
    svn path=/trunk/; revision=115

 Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 2c2df493dd21dc84ed0e337ca488812e5cffe6df
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Aug 30 15:18:35 2008 +0000

    Fix UA string for ff compatibility.
    
    svn path=/trunk/; revision=114

 data/prefs.js |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit fc4dca6434779c5db472a0d99ad761a0107b7efa
Author: Vincent Untz <vuntz@src.gnome.org>
Date:   Fri Jul 25 09:55:50 2008 +0000

    	Correctly initialize the GdkPixdata pointer so that it's always valid.
    	Fix some crash (https://bugzilla.novell.com/show_bug.cgi?id=395920)
    
    svn path=/trunk/; revision=113

 src/Writer.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b7c78188ec95878da75e0795aa57be78ecd3b34a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Jul 2 18:16:23 2008 +0000

    Remove GTK deprecationg define since gtkmozembed chokes on it.
    
    svn path=/trunk/; revision=112

 src/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 44da4d9bebd9c4ba6a14a1f8413d0ebf605ede90
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Jul 2 18:16:18 2008 +0000

    Fix the build with intltool 0.40.
    
    svn path=/trunk/; revision=111

 Makefile.am |    8 +-------
 autogen.sh  |    4 +++-
 2 files changed, 4 insertions(+), 8 deletions(-)

commit ab5f629a00998b73d62003661d04e06aac4e07fa
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 10 21:07:54 2008 +0000

    post release version bump
    
    svn path=/trunk/; revision=110

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 513ab65d5695bfefc9777348e0d85796b6bf3fe4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 10 21:05:21 2008 +0000

    Fix make dist(check)
    
    svn path=/trunk/; revision=108

 Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d48faebfe8f291172b26be7f422bc660393082b3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 10 19:28:36 2008 +0000

    Version bump & NEWS
    
    svn path=/trunk/; revision=107

 NEWS         |    8 ++++++++
 configure.ac |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 1cec9691ededa23025edbb29383c310442a3c74e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 10 19:27:06 2008 +0000

    Port to xulrunne 1.9. Patch by Marco Pesenti Gritti.
    
    svn path=/trunk/; revision=106

 configure.ac       |   58 +-----
 m4/gecko.m4        |  635 ----------------------------------------------------
 m4/libxul.m4       |  566 ++++++++++++++++++++++++++++++++++++++++++++++
 src/Components.cpp |   77 +------
 src/Listener.h     |    2 +-
 src/Makefile.am    |   13 +-
 src/Prefs.cpp      |    4 +-
 src/Printer.cpp    |    6 +-
 src/Printer.h      |    2 +-
 src/Writer.cpp     |  369 ++++++++++++------------------
 src/Writer.h       |   25 +-
 src/main.cpp       |   66 ++++--
 12 files changed, 791 insertions(+), 1032 deletions(-)

commit adb00f85b56b9d23204b8188399d151406e6cde6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Feb 24 18:10:11 2008 +0000

    Don't fail to init gecko if we don't have the default font values, or they're invalid. Instead parse the default font names. Based on a patch by Gauvain Pocentek <gauvainpocentek@gmail.com>.
    
    svn path=/trunk/; revision=105

 src/Prefs.cpp |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit 97990e333384001dcb24b96881e058f6e2e1c0e2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 19 12:32:20 2007 +0000

    Use latest gecko.m4 from epiphany.
    
    svn path=/trunk/; revision=104

 configure.ac |    1 +
 m4/gecko.m4  |  311 ++++++++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 230 insertions(+), 82 deletions(-)

commit 4745ab556189b8fd5cdcd3eafc9358e3b6b4f8a4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 19 14:58:11 2007 +0000

    Fix SVN module name.
    
    svn path=/trunk/; revision=103

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 90d3a4427e906a95acc3c9a20861aab4f54d6fa0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 19 14:30:04 2007 +0000

    Generate ChangeLog from SVN log at "make dist" time. Update HACKING and add
    ChangeLog.README with info about the commit policy.
    
    svn path=/trunk/; revision=102

 ChangeLog        |  548 ------------------------------------------------------
 ChangeLog.README |   28 +++
 HACKING          |   19 --
 Makefile.am      |   14 ++
 svn2cl.xsl       |  295 +++++++++++++++++++++++++++++
 5 files changed, 337 insertions(+), 567 deletions(-)

commit b1a6eaccdb7a31fbe6a7371f3451d66198487b7d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Sep 19 14:28:12 2007 +0000

    More TODO
    
    svn path=/trunk/; revision=101

 TODO |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 47c9463694e42c8eb9c09f659304c7f8280c7672
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Sun Aug 19 19:18:30 2007 +0000

    Updated Occitan translation
    
    svn path=/trunk/; revision=100

 po/oc.po |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit e06c58fe435dc205235868548a0e926bc64fdd4e
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Fri Aug 17 17:19:42 2007 +0000

    Updated Occitan translation
    
    svn path=/trunk/; revision=99

 po/oc.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 90ca7810effe27527941c32fd4451d7550713fee
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Aug 8 20:57:02 2007 +0000

    Update
    
    svn path=/trunk/; revision=98

 MAINTAINERS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit da8a88b73e68b054899c2310b3f1f1bdd3883317
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Sun Jul 29 11:03:45 2007 +0000

    Updated Occitan translation
    
    svn path=/trunk/; revision=97

 po/oc.po |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)

commit bbc7042e42a355047323aaf7276de89c05b412c0
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:   Sun Jul 29 11:03:13 2007 +0000

    + Occitan
    
    svn path=/trunk/; revision=96

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 51cffe0ce8aa43f8c4b87bdaf8ca4e567a9ffb55
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jun 16 13:54:04 2007 +0000

    Use iTXt for the URL and title text chunks.
    Remove the timestamp text chunk, and add a Software chunk instead.
    
    svn path=/trunk/; revision=95

 src/Writer.cpp |   42 +++++++++++++++++++++++++++++++-----------
 1 files changed, 31 insertions(+), 11 deletions(-)

commit 40ccce55939562aef461a81ca7bbfe86d75844cd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jun 16 13:54:01 2007 +0000

    Remove AM_MAINTAINER_MODE.
    
    svn path=/trunk/; revision=94

 configure.ac |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit f176b7c14589eb6530f98d3bea344f08cf64bd2c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Jun 8 10:03:07 2007 +0000

    More TODO
    
    svn path=/trunk/; revision=93

 TODO |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit c111825bdd565aa1066eee8a6526c708a0993d81
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Mar 20 11:39:15 2007 +0000

    Require automake 1.9.
    
    2007-03-20  Christian Persch  <chpe@gnome.org>
    
    	* autogen.sh:
    
    	Require automake 1.9.
    
    svn path=/trunk/; revision=92

 ChangeLog  |    6 ++++++
 autogen.sh |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 27a75a52f483ec236e4da87c59abec8f36e1fc18
Author: Christian Persch <chpe@svn.gnome.org>
Date:   Tue Jan 30 22:37:15 2007 +0000

    Add main.cpp.
    
    2007-01-30  Christian Persch  <chpe@svn.gnome.org>
    
    	* POTFILES.in: Add main.cpp.
    
    2007-01-30  Daniel Nylander <po@danielnylander.se>
    
    svn path=/trunk/; revision=91

 po/ChangeLog   |    4 ++++
 po/POTFILES.in |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 4b1ae24fc49931ab6e0d43edc448503f8fcafa1e
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Tue Jan 30 22:02:17 2007 +0000

    sv.po: Swedish translation added
    
    svn path=/trunk/; revision=90

 po/ChangeLog |    5 +++++
 po/LINGUAS   |    1 +
 po/sv.po     |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 54 insertions(+), 0 deletions(-)

commit 460dffb9d0e21261de0dd4fbf7d6ae783154d3c3
Author: Christian Persch <chpe@svn.gnome.org>
Date:   Mon Jan 29 21:41:47 2007 +0000

    Post-release version bump.
    
    2007-01-29  Christian Persch  <chpe@svn.gnome.org>
    
    	* configure.ac:
    
    	Post-release version bump.
    
    svn path=/trunk/; revision=89

 ChangeLog    |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit a47c159e43f3551fdad08a6407520644143a0bab
Author: Christian Persch <chpe@svn.gnome.org>
Date:   Mon Jan 29 21:40:20 2007 +0000

    === Release 0.3 ===
    
    2007-01-29  Christian Persch  <chpe@svn.gnome.org>
    
    	=== Release 0.3 ===
    
    	* NEWS:
    	* configure.ac:
    
    svn path=/trunk/; revision=87

 ChangeLog    |    7 +++++++
 NEWS         |   18 ++++++++++++++++++
 configure.ac |    2 +-
 3 files changed, 26 insertions(+), 1 deletions(-)

commit 9ac96b087f189ede08c7fd9a44f485810f4e25fd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jan 29 18:57:40 2007 +0000

    Fix typo
    
    svn path=/trunk/; revision=86

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d92ba3d6a40dbd6fb90fbb0131fc7a8e6920d6d9
Author: Christian Persch <chpe@svn.gnome.org>
Date:   Mon Jan 29 18:51:07 2007 +0000

    Implement writing to JPEG.
    
    2007-01-29  Christian Persch  <chpe@svn.gnome.org>
    
    	* configure.ac:
    	* src/Makefile.am:
    	* src/Writer.cpp:
    	* src/Writer.h:
    	* src/main.cpp:
    
    	Implement writing to JPEG.
    
    svn path=/trunk/; revision=85

 ChangeLog       |   10 +++++
 configure.ac    |   39 ++++++++++++++++++
 src/Makefile.am |    1 +
 src/Writer.cpp  |  120 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/Writer.h    |   26 ++++++++++++
 src/main.cpp    |  101 ++++++++++++++++++++++++++++++++--------------
 6 files changed, 267 insertions(+), 30 deletions(-)

commit 725565130f4c0311eee4ff8c6753c12fda648dff
Author: Christian Persch <chpe@svn.gnome.org>
Date:   Thu Jan 18 12:30:26 2007 +0000

    Initialise GThread before calling any glib function.
    
    2007-01-18  Christian Persch  <chpe@svn.gnome.org>
    
    	* src/main.cpp:
    
    	Initialise GThread before calling any glib function.
    
    svn path=/trunk/; revision=84

 ChangeLog    |    6 ++++++
 src/main.cpp |    3 +++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 8829b9b234e0a29f951c92e9543d5f8312e41b04
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 31 21:49:03 2006 +0000

    Update svn:ignore and remove .cvsignore files
    
    svn path=/trunk/; revision=83

 .cvsignore      |   25 -------------------------
 data/.cvsignore |    3 ---
 m4/.cvsignore   |    1 -
 po/.cvsignore   |   15 ---------------
 src/.cvsignore  |    6 ------
 5 files changed, 0 insertions(+), 50 deletions(-)

commit e864020a0e14cfb005cecb3936027b7814e9d9c1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 27 22:07:37 2006 +0000

    Shut up

 m4/.cvsignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b54d69c181858c795c2776f8d0b91fe1bac55fb5
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Dec 9 14:48:45 2006 +0000

    Add thumbnailer schemas for application/xhtml+xml.
    
    2006-12-09  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/thumbnailer.schemas.in:
    
    	Add thumbnailer schemas for application/xhtml+xml.

 ChangeLog                   |    6 ++++++
 configure.ac                |    3 ---
 data/thumbnailer.schemas.in |   22 ++++++++++++++++++++++
 3 files changed, 28 insertions(+), 3 deletions(-)

commit 86decb72c677dddc3ecf8670e26fde466c898b09
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Tue Nov 7 15:12:26 2006 +0000

    Renice when thumbnailing. Patch taken from suse rpm, by Federico Mena
    
    2006-11-07  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/main.cpp:
    
    	Renice when thumbnailing. Patch taken from suse rpm, by Federico Mena
    	Quintero.
    	Don't focus the hidden window on map.
    
    	Many thanks for never sending these patches to me, suse guys!

 ChangeLog    |   10 ++++++++++
 src/main.cpp |    9 +++++++++
 2 files changed, 19 insertions(+), 0 deletions(-)

commit 4cf8081ed97dd298af407ecc42b05bfaabf01ec0
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Oct 18 20:43:43 2006 +0000

    Update intltool req to 0.35.0.
    
    2006-10-18  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    
    	Update intltool req to 0.35.0.

 ChangeLog    |    6 ++++++
 configure.ac |    4 +---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 0346691857bfd4705674d4e3e67477f75e3e766e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Sep 1 13:02:28 2006 +0000

    Remove this

 COPYING |  340 ---------------------------------------------------------------
 1 files changed, 0 insertions(+), 340 deletions(-)

commit 7b3cb1895d9f21baef21d7bf94b9337cd21d93da
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Sep 1 12:59:10 2006 +0000

    Use UTF-8 copyright symbol

 COPYING            |    6 +++---
 configure.ac       |    4 ++--
 m4/gecko.m4        |    4 ++--
 src/Components.cpp |    2 +-
 src/Components.h   |    2 +-
 src/Embed.cpp      |    2 +-
 src/Embed.h        |    2 +-
 src/Listener.cpp   |    2 +-
 src/Listener.h     |    2 +-
 src/Prefs.cpp      |    2 +-
 src/Prefs.h        |    2 +-
 src/Printer.cpp    |    2 +-
 src/Printer.h      |    4 ++--
 src/Writer.cpp     |    4 ++--
 src/Writer.h       |    2 +-
 src/main.cpp       |    2 +-
 16 files changed, 22 insertions(+), 22 deletions(-)

commit 4a1fd8fa596048f24ab62527fb00bfb1403f5924
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Fri Jul 14 18:34:52 2006 +0000

    Commit uncommitted work before svn migration.
    
    2006-07-14  Christian Persch  <chpe@cvs.gnome.org>
    
    	Commit uncommitted work before svn migration.
    
    	R COPYING.MPL:
    	* COPYING.README:
    	* Makefile.am:
    	* src/Components.cpp:
    	* src/Components.h:
    	* src/Embed.cpp:
    	* src/Embed.h:
    	* src/Listener.cpp:
    	* src/Listener.h:
    	* src/Prefs.cpp:
    	* src/Prefs.h:
    	* src/Printer.cpp:
    	* src/Printer.h:
    	* src/Writer.cpp:
    	* src/Writer.h:
    	* src/main.cpp:
    
    	Gecko is free now, so we can be LGPL only too!

 COPYING.MPL        |  567 ----------------------------------------------------
 COPYING.README     |    2 +-
 ChangeLog          |   23 ++
 Makefile.am        |    1 -
 src/Components.cpp |   48 ++----
 src/Components.h   |    8 +-
 src/Embed.cpp      |   48 ++----
 src/Embed.h        |   48 ++----
 src/Listener.cpp   |   48 ++----
 src/Listener.h     |    9 +-
 src/Prefs.cpp      |   48 ++----
 src/Prefs.h        |    8 +-
 src/Printer.cpp    |   48 ++----
 src/Printer.h      |    8 +-
 src/Writer.cpp     |   43 +---
 src/Writer.h       |    8 +-
 src/main.cpp       |   48 ++----
 17 files changed, 146 insertions(+), 867 deletions(-)

commit 714e0324efa5468ffac0a07701220a5b8d03ff65
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sun Mar 5 02:53:45 2006 +0000

    oops, fixed translation encoding.
    
    2006-03-05  Takeshi AIHANA <takeshi.aihana@gmail.com>
    
    	* ja.po: oops, fixed translation encoding.

 po/ja.po |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 19d2a925dc546a9bc8d5b84c6001f82a6c531acb
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sun Mar 5 02:51:06 2006 +0000

    Added Japanese translation. Added 'ja'.
    
    2006-03-05  Takeshi AIHANA <takeshi.aihana@gmail.com>
    
    	* ja.po: Added Japanese translation.
    	* LINGUAS: Added 'ja'.

 po/ChangeLog |    4 ++++
 po/LINGUAS   |    3 +--
 po/ja.po     |   32 ++++++++++++++++++++++++++++++++
 3 files changed, 37 insertions(+), 2 deletions(-)

commit 02f30fea2cbd997731d0fa80dc54c1795359b81b
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Feb 15 20:05:02 2006 +0000

    Post-release version bump.
    
    2006-02-15  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    
    	Post-release version bump.

 ChangeLog    |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 2d9ba413548f66e82123196ba9202a283713e18f
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Feb 15 20:02:55 2006 +0000

    === Release 0.2 ===
    
    2006-02-15  Christian Persch  <chpe@cvs.gnome.org>
    
    	=== Release 0.2 ===

 COPYING.LGPL |  510 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 COPYING.MPL  |  567 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 ChangeLog    |    4 +
 Makefile.am  |    2 +
 4 files changed, 1083 insertions(+), 0 deletions(-)

commit 7fd362555941e91eafa2f80f9409e675099871b2
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Feb 15 19:57:35 2006 +0000

    Build with xulrunner trunk too, and use AC_C_BIGENDIAN to check the
    
    2006-02-15  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    	* m4/gecko.m4:
    	* src/Makefile.am:
    
    	Build with xulrunner trunk too, and use AC_C_BIGENDIAN
    	to check the endianness.
    
    	* src/Prefs.cpp:
    
    	Use the document font gconf key.
    
    	* src/Writer.cpp:
    
    	Use stock endianness define.
    
    	* src/main.cpp:
    
    	Fix some compile warnings, and add support for xulrunner
    	trunk.

 ChangeLog       |   22 +++++++++++++
 configure.ac    |   12 ++++----
 m4/gecko.m4     |   90 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 src/Makefile.am |    8 ++++-
 src/Prefs.cpp   |    2 +-
 src/Writer.cpp  |   18 ++++-------
 src/main.cpp    |   38 +++++++++++++----------
 7 files changed, 144 insertions(+), 46 deletions(-)

commit 5e17b8f6a519306261ee8a9572e1caea0a4f7684
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 15 18:48:20 2006 +0000

    head -5 ChangeLog

 ChangeLog   |    7 +++
 m4/gecko.m4 |  173 +++++++++++++++++++++++++++++++++++++++--------------------
 2 files changed, 122 insertions(+), 58 deletions(-)

commit 2392f1a635e5b1f9c11237de6f5d49f67a34e166
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sun Dec 11 10:02:17 2005 +0000

    Add support for processing multiple files in a row.
    
    2005-12-11  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/thumbnailer.schemas.in:
    	* src/Embed.cpp:
    	* src/Embed.h:
    	* src/Makefile.am:
    	* src/Printer.cpp:
    	* src/main.cpp:
    
    	Add support for processing multiple files in a row.

 ChangeLog                   |   13 ++-
 data/thumbnailer.schemas.in |    2 +-
 src/Embed.cpp               |  185 +++++++++++++++++++++
 src/Embed.h                 |   87 ++++++++++
 src/Makefile.am             |    2 +
 src/Printer.cpp             |    6 +-
 src/main.cpp                |  373 ++++++++++++++++++++++---------------------
 7 files changed, 479 insertions(+), 189 deletions(-)

commit fbb25eeb3df0f7d65ccbe22c07db6db31f1735df
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Thu Dec 8 22:41:34 2005 +0000

    Turn off image animation and caret blinking. Patch by Robert O'Callahan.
    
    2005-12-08  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/prefs.js:
    
    	Turn off image animation and caret blinking. Patch by Robert
    	O'Callahan.

 ChangeLog     |    7 +++++++
 data/prefs.js |    4 ++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 1964e1d75e67c65e3398070792a55717a0e522ad
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Dec 7 20:10:51 2005 +0000

    Fix invalid argument check.
    
    2005-12-07  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/main.cpp:
    
    	Fix invalid argument check.

 ChangeLog    |    6 ++++++
 src/main.cpp |    4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 1e40dbe3df460916d4efcaa9452729ac5b5276b4
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Dec 7 20:04:15 2005 +0000

    Disable timeout when set to 0. Patch by Robert O'Callahan.
    
    2005-12-07  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/main.cpp:
    
    	Disable timeout when set to 0. Patch by Robert O'Callahan.

 ChangeLog    |    6 ++++++
 src/main.cpp |   11 ++++++-----
 2 files changed, 12 insertions(+), 5 deletions(-)

commit 3dfed9a5ff61704526ac9fe41cd47827453b1b1a
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Dec 7 19:56:48 2005 +0000

    Add PPM format output. Patch by Robert O'Callahan.
    
    2005-12-07  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Writer.cpp:
    	* src/Writer.h:
    	* src/main.cpp:
    
    	Add PPM format output. Patch by Robert O'Callahan.

 ChangeLog      |    8 +++++
 src/Writer.cpp |   90 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/Writer.h   |   16 ++++++++++
 src/main.cpp   |   76 ++++++++++++++++++++++++++++++++++++++++++++---
 4 files changed, 185 insertions(+), 5 deletions(-)

commit be05815822a4c5bf72e78a49d94b30af2f99f9dc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 29 17:52:31 2005 +0000

    Dist autogen.sh too

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 559095e361ca0a52be9746c494fa7ce856e97b47
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Mon Nov 28 22:36:55 2005 +0000

    Suppress some C++ compiler warnings.
    
    2005-11-28  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    
    	Suppress some C++ compiler warnings.

 ChangeLog    |    6 ++++++
 configure.ac |   18 +++++++++++-------
 2 files changed, 17 insertions(+), 7 deletions(-)

commit 87278693743dec1efdbe8c0f5ea4c7e436ba7332
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Mon Nov 28 22:26:02 2005 +0000

    Updated.
    
    2005-11-28  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    	* m4/gecko.m4:
    
    	Updated.

 ChangeLog    |    7 ++
 configure.ac |  106 ++++++++++++---------------
 m4/gecko.m4  |  227 ++++++++++++++++++++++++++++++++++++++++------------------
 3 files changed, 209 insertions(+), 131 deletions(-)

commit 8393617932aeaf5ea746054e6c839e705cdd54d6
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 26 18:14:33 2005 +0000

    Add output when timeout strikes.
    
    2005-11-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/main.cpp:
    
    	Add output when timeout strikes.

 ChangeLog    |    6 ++++++
 src/main.cpp |    3 ++-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 3ba44b29995c47702a2f855752721aa9cc449724
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 26 17:26:23 2005 +0000

    Post-release version bump.
    
    2005-11-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    
    	Post-release version bump.

 ChangeLog    |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 363c190f7ea6be38d95d613073a61a4d8c21c159
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 26 17:25:08 2005 +0000

    === Release 0.1.1 ===
    
    2005-11-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	=== Release 0.1.1 ===
    
    	* configure.ac:
    	* src/main.cpp:

 ChangeLog    |    7 +++++++
 configure.ac |    2 +-
 src/main.cpp |    6 +-----
 3 files changed, 9 insertions(+), 6 deletions(-)

commit 9de1b04513d1bcc9b86adf1c9487ccae6f9bb44d
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 26 17:16:07 2005 +0000

    Fix schemas install rule.
    
    2005-11-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/Makefile.am:
    
    	Fix schemas install rule.

 ChangeLog        |    6 ++++++
 data/Makefile.am |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 73df5413d920b11e8e9983de3cdbb796a5409e0f
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 26 17:00:30 2005 +0000

    Fix compile warning.
    
    2005-11-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Writer.cpp:
    
    	Fix compile warning.
    
    	* src/main.cpp:
    
    	Don't crash on unknown or not given mode argument.

 ChangeLog       |   10 ++++++++++
 src/Makefile.am |    4 ++--
 src/Writer.cpp  |    2 +-
 src/main.cpp    |   14 ++++++++++++--
 4 files changed, 25 insertions(+), 5 deletions(-)

commit 8b871f4b448bb651c3f997d7f378c8a32cecee07
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 26 16:49:55 2005 +0000

    Post-release version bump.
    
    2005-11-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    
    	Post-release version bump.

 ChangeLog    |    6 ++++++
 configure.ac |    4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 348ac17638785702560a7517c563b5ac5a4913c4
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 26 16:44:51 2005 +0000

    === Release 0.1 ===
    
    2005-11-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	=== Release 0.1 ===
    
    	* src/main.cpp:
    
    	Uncomment debug define.

 ChangeLog    |    8 ++++++++
 src/main.cpp |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 22c26674f85003490b650f6822d5f0d4dbf805a6
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 26 16:20:26 2005 +0000

    Clean up on uninstall.
    
    2005-11-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Makefile.am:
    
    	Clean up on uninstall.

 ChangeLog       |    6 ++++++
 src/Makefile.am |    4 ++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit d54aa8350dc9873089f14665c66dc998ccdc24e9
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 26 16:14:56 2005 +0000

    Load font preferences from desktop and Epiphany prefs.
    
    2005-11-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/prefs.js:
    	* src/Prefs.cpp:
    	* src/Prefs.h:
    
            Load font preferences from desktop and Epiphany prefs.
    
    	* configure.ac:
    
            Misc cleanups, and check for ln -s.
    
    	* data/Makefile.am:
    	* data/thumbnailer.schemas.in:
    
    	Fix the thumbnailer command, and fix the gconf schema install rule.
    
    	* m4/gecko.m4:
    
    	Don't pollute CXXFLAGS.
    
    	* src/Writer.cpp:
    
    	Add sanity check for empty display rect, instead of crashing with
    	div-by-zero.
    
    	* src/Makefile.am:
    	* src/main.cpp:
    	Don't build 3 separate programs for photo, thumbnail and print; instead
    	build just gnome-web-photo and symlink gnome-web-thumbnail/print to it.
    	Detect the mode with --mode argument or by invocation.

 ChangeLog                   |   32 +++++
 Makefile.am                 |    5 +-
 configure.ac                |   42 +++---
 data/Makefile.am            |    6 +-
 data/prefs.js               |   34 -----
 data/thumbnailer.schemas.in |    2 +-
 m4/gecko.m4                 |   31 +++--
 src/Components.cpp          |   10 +-
 src/Listener.cpp            |   12 ++
 src/Makefile.am             |   88 +++----------
 src/Prefs.cpp               |  199 +++++++++++++++++++++++++++
 src/Prefs.h                 |   28 ++++
 src/Writer.cpp              |    8 +-
 src/main.cpp                |  311 +++++++++++++++++++++++++++----------------
 14 files changed, 544 insertions(+), 264 deletions(-)

commit 8c4266dbdfa421fc4b71108d8eee9cf83f8aebe7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 26 11:46:55 2005 +0000

    Fix -fshort-wchar compiler flag check

 m4/gecko.m4 |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 69fabc8d6ab9536b96e1f57b041f7668187e5de5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Nov 25 20:14:35 2005 +0000

    Fix debug flag detection

 m4/gecko.m4 |   42 ++++++++++++++++++++++++++++++++----------
 1 files changed, 32 insertions(+), 10 deletions(-)

commit c44fd562653dbe6449bcd3d0cb190304457425b0
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Nov 12 16:29:33 2005 +0000

    Add ACLOCAL_AMFLAGS.
    
    2005-11-12  Christian Persch  <chpe@cvs.gnome.org>
    
    	* Makefile.am:
    
    	Add ACLOCAL_AMFLAGS.

 ChangeLog   |    6 ++++++
 Makefile.am |    2 ++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit b4a5610df9620b826990d30acf4b761edf49ef2a
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Nov 9 23:27:37 2005 +0000

    A m4/gecko.m4:
    
    2005-11-10  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    	A m4/gecko.m4:
    
    	Use the gecko macro package from Epiphany.

 ChangeLog    |    7 ++
 configure.ac |  122 ++++-------------------------
 m4/gecko.m4  |  245 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 267 insertions(+), 107 deletions(-)

commit bd1378781a91eded45e4c3796a20f7f5b98ba195
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 3 00:09:39 2005 +0000

    Note

 TODO |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ac5ee47baa067d6741ff428ad81d6e8d15da1ff2
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Thu Oct 27 19:41:53 2005 +0000

    Only add -lgkgfx when not building against xulrunner.
    
    2005-10-27  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    	* src/Makefile.am:
    
    	Only add -lgkgfx when not building against xulrunner.

 ChangeLog       |    7 +++++++
 configure.ac    |    8 ++++++++
 src/Makefile.am |   15 ++++++---------
 3 files changed, 21 insertions(+), 9 deletions(-)

commit 224ac7d8fa36a9fcc0cafa951b5e78ed12d9d1c1
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Thu Oct 27 19:32:25 2005 +0000

    Check for NSS/PSM headers.
    
    2005-10-27  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    
    	Check for NSS/PSM headers.
    
    	* src/Components.cpp:
    
    	Add a nsIBadCertListener implementation which accepts the
    	cert for this session.

 ChangeLog          |   11 ++++++
 configure.ac       |   19 ++++++++--
 src/Components.cpp |   98 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 123 insertions(+), 5 deletions(-)

commit c506e54ffd8b30e13f2e28a2b2fd04ed6bf9805d
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Thu Oct 27 19:06:07 2005 +0000

    Patch by Robert O'Callahan <rocallahan@novell.com>:
    
    2005-10-27  Christian Persch  <chpe@cvs.gnome.org>
    
    	Patch by Robert O'Callahan <rocallahan@novell.com>:
    
    	* configure.ac:
    
    	Allow building with xulrunner.
    
    	* src/main.cpp:
    
    	Abort if RegisterComponents fails.

 ChangeLog    |   12 ++++++++++++
 configure.ac |    3 ++-
 src/main.cpp |    4 +++-
 3 files changed, 17 insertions(+), 2 deletions(-)

commit b488e2aa6bf55c40545e090130705310dc3a4d6d
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Oct 5 15:51:37 2005 +0000

    Update gecko version check.
    
    2005-10-05  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    
    	Update gecko version check.

 ChangeLog    |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 324790c721ba8c2bf12a9584e8e3a54e94c20883
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Tue Aug 16 20:48:27 2005 +0000

    Implement --print-background for gnome-web-print (based losely on a patch
    
    2005-08-16  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Printer.cpp:
    	* src/Printer.h:
    	* src/main.cpp:
    
    	Implement --print-background for gnome-web-print (based losely on a
    	patch by Steinar H. Gunderson), and fix the case of a relative output
    	filename.

 ChangeLog       |   10 ++++++++++
 src/Printer.cpp |   22 ++++++++++++----------
 src/Printer.h   |    3 ++-
 src/main.cpp    |    8 ++++++--
 4 files changed, 30 insertions(+), 13 deletions(-)

commit e696653b93a21875dbd2e30146f794ffbf8169a7
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Mon Aug 8 14:43:35 2005 +0000

    Use kRangeAllPages here.
    
    2005-08-08  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Printer.cpp:
    
    	Use kRangeAllPages here.

 ChangeLog       |    6 ++++++
 src/Printer.cpp |    8 ++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 3766faed8ead6d593b3643d4284530a933f125dc
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Mon Aug 8 14:42:31 2005 +0000

    Don't load the scrollbar-preventing stylesheet for print mode, since it
    
    2005-08-08  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/main.cpp:
    
    	Don't load the scrollbar-preventing stylesheet for print mode, since
    	it prevents us from printing all pages.

 ChangeLog    |    7 +++++++
 src/main.cpp |    4 ++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 5d8ea005154c11e594d435bfbad3c3d363f8fa39
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sun Aug 7 12:33:54 2005 +0000

    Add gnome-web-print to print the page to postscript file.
    
    2005-08-07  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Makefile.am:
    	* src/Printer.cpp:
    	* src/Printer.h:
    	* src/main.cpp:
    
    	Add gnome-web-print to print the page to postscript file.

 ChangeLog       |    9 ++
 src/Makefile.am |   34 ++++++++-
 src/Printer.cpp |  223 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/Printer.h   |   54 +++++++++++++
 src/main.cpp    |   61 +++++++++++++--
 5 files changed, 373 insertions(+), 8 deletions(-)

commit cb9fcd5f1ff5dfd8c96ad2a3fc498096da73a7d8
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sun Aug 7 12:31:41 2005 +0000

    Disable error pages.
    
    2005-08-07  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/prefs.js:
    
    	Disable error pages.

 ChangeLog     |    6 ++++++
 data/prefs.js |    4 ++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit cd8563e4a515845d9b9c4e6773f11a2dea415d47
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sun Aug 7 12:16:22 2005 +0000

    Move class definition to .cpp.
    
    2005-08-07  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Components.cpp:
    	* src/Components.h:
    
    	Move class definition to .cpp.

 ChangeLog          |    7 +++++++
 src/Components.cpp |   13 +++++++++++++
 src/Components.h   |   14 +-------------
 3 files changed, 21 insertions(+), 13 deletions(-)

commit 61b63dba8718f216873c9f8cd675097becaa0b50
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sun Aug 7 12:11:20 2005 +0000

    Fix for latest firefox trunk.
    
    2005-08-07  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Writer.cpp:
    
    	Fix for latest firefox trunk.

 ChangeLog      |    6 ++++++
 README         |    2 +-
 src/Writer.cpp |    2 +-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 9fc69a7c0c5e28250bccb953e6dd2e503a2bd064
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Fri Jul 15 21:30:20 2005 +0000

    Remove the gross hack with setting/unsetting the env var now that
    
    2005-07-15  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/prefs.js:
    	* src/Listener.cpp:
    	* src/main.cpp:
    
    	Remove the gross hack with setting/unsetting the env var now
    	that https://bugzilla.mozilla.org/show_bug.cgi?id=299681 is
    	checked in, and set the pref instead.

 ChangeLog        |   10 ++++++++++
 README           |    2 +-
 data/prefs.js    |    3 +++
 src/Listener.cpp |    8 --------
 src/main.cpp     |    8 --------
 5 files changed, 14 insertions(+), 17 deletions(-)

commit 2560e0a7bf68d58cdea68317447c69f7e561548b
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Tue Jul 12 17:21:43 2005 +0000

    Update gecko configure checks for seamonkey.
    
    2005-07-12  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    
    	Update gecko configure checks for seamonkey.

 ChangeLog    |    6 ++++++
 configure.ac |   50 ++++++++++++++++++++++++++++----------------------
 2 files changed, 34 insertions(+), 22 deletions(-)

commit 567fe14401954d748c88ba8305ce271a19a4c119
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Mon Jul 4 23:12:54 2005 +0000

    Move env var unsetting to the onload handler, since it needs to be done on
    
    2005-07-05  Christian Persch  <chpe@cvs.gnome.org>
    
    	* NEWS:
    	* src/Listener.cpp:
    	* src/main.cpp:
    
    	Move env var unsetting to the onload handler, since it needs to be
    	done on the very first onload, not on the main DOM window's onload.
    	Move the main window offscreen before showing/withdrawing it.

 COPYING.README     |   15 +-----------
 ChangeLog          |   10 ++++++++
 NEWS               |    5 ++++
 TODO               |    3 +-
 src/Components.cpp |   48 ++++++++++++++++++++++++++++----------
 src/Listener.cpp   |   52 ++++++++++++++++++++++++++++++++--------
 src/Writer.cpp     |   23 +++++++++--------
 src/main.cpp       |   65 ++++++++++++++++++++++++++++++++++-----------------
 8 files changed, 148 insertions(+), 73 deletions(-)

commit 3eca7c9a13901155998100348c6ae2e95543e37a
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sun Jun 5 20:12:27 2005 +0000

    Disable disk cache.
    
    2005-06-05  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/prefs.js:
    
    	Disable disk cache.

 ChangeLog     |    6 ++++++
 data/prefs.js |    3 +++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 2db4d36c6ac3bc1520c6a6271291f69bca701003
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Wed Jun 1 23:22:42 2005 +0000

    Don't persist cookies and passwords.
    
    2005-06-02  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/prefs.js:
    
    	Don't persist cookies and passwords.
    
    	* src/main.cpp:
    
    	Enable profile, since gecko crashes otherwise on https sites and when
    	trying to access the password manager.

 ChangeLog     |   11 +++++++++++
 data/prefs.js |    8 ++++++--
 src/main.cpp  |   13 ++++++++++++-
 3 files changed, 29 insertions(+), 3 deletions(-)

commit 01d483a2f5dca3537bbb35452c4550aa579f124b
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Thu May 26 13:47:40 2005 +0000

    Automatically detect whether we have a mozilla debug build.
    
    2005-05-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    
    	Automatically detect whether we have a mozilla debug build.

 ChangeLog    |    6 ++++++
 configure.ac |   53 ++++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 44 insertions(+), 15 deletions(-)

commit 9824b9dcae9a678dc39ea9a808acaabf542ac3fa
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Thu May 26 13:10:58 2005 +0000

    Minor fix from mozilla nsDocumentViewer.cpp.
    
    2005-05-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Writer.cpp:
    
    	Minor fix from mozilla nsDocumentViewer.cpp.

 ChangeLog      |    6 ++++++
 src/Writer.cpp |   12 ++++++------
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 7ebdd3463b4bac3df1bca98db51b62f3790a447f
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Thu May 26 13:10:16 2005 +0000

    Only suppress scrollbars for some elements; using it for <div> breaks the
    
    2005-05-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/style.css:
    
    	Only suppress scrollbars for some elements; using it for <div> breaks
    	the layout horribly.

 ChangeLog      |    7 +++++++
 data/style.css |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit b1cb711318f637f0193a5aeebe47dbb90dd9f98f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue May 10 20:20:32 2005 +0000

    Update mozilla version requirement

 README |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit daa601fd1a6e90391e8e47fdfcd82b29f01d7661
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Tue May 10 14:24:35 2005 +0000

    Fix crash in the PNG writer when Prepare was never called. Adapt to
    
    2005-05-10  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Makefile.am:
    	* src/Writer.cpp:
    	* src/Writer.h:
    
    	Fix crash in the PNG writer when Prepare was never called.
    	Adapt to changed behaviour in nsIViewManager::RenderOffscreen;
    	the rect is now converted (and rounded, urgh) to pixels.

 ChangeLog       |   10 ++++++++++
 src/Makefile.am |    3 +++
 src/Writer.cpp  |   55 ++++++++++++++++++++++++++++++-------------------------
 src/Writer.h    |    6 +++---
 src/main.cpp    |    5 +++--
 5 files changed, 49 insertions(+), 30 deletions(-)

commit bf90e1b4103f1da19d12b4e9ab19ea61f57ac6e0
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Tue May 10 11:20:59 2005 +0000

    Add a stylesheet to remove the scrollbars.
    
    2005-05-10  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/Makefile.am:
    	* data/style.css:
    	* src/main.cpp: (init_gecko):
    
    	Add a stylesheet to remove the scrollbars.

 ChangeLog        |    8 ++++++++
 data/Makefile.am |    4 ++++
 data/style.css   |    3 +++
 src/main.cpp     |   26 +++++++++++++++++++++++---
 4 files changed, 38 insertions(+), 3 deletions(-)

commit f36a20922a7b36bd2dab7fc4dde4935d3bcf3ed2
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Tue May 10 09:21:56 2005 +0000

    Fix for mozilla API change to nsIDOMLoadListener.
    
    2005-05-10  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Listener.cpp:
    	* src/Listener.h:
    
    	Fix for mozilla API change to nsIDOMLoadListener.

 ChangeLog        |    7 +++++++
 src/Listener.cpp |    6 ++++++
 src/Listener.h   |    1 +
 3 files changed, 14 insertions(+), 0 deletions(-)

commit ebeb632e69cbed2c3c92c5de024f6272a9e743b8
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Tue Apr 26 17:12:12 2005 +0000

    Fix a mem leak, and simplify the code for little endian case.
    
    2005-04-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Writer.cpp:
    
    	Fix a mem leak, and simplify the code for little endian case.

 ChangeLog      |    6 ++++++
 src/Writer.cpp |   14 +++++++++-----
 2 files changed, 15 insertions(+), 5 deletions(-)

commit 692267ad1a2ec2e93106f9c4e873c14367090ac1
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Tue Apr 26 16:58:46 2005 +0000

    Add schema file to POTFILES.in, and change a few strings in the schema.
    
    2005-04-26  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/thumbnailer.schemas.in:
    	* po/POTFILES.in:
    
    	Add schema file to POTFILES.in, and change a few strings in the
    	schema.

 ChangeLog                   |    8 ++++++++
 data/thumbnailer.schemas.in |    4 ++--
 po/POTFILES.in              |    2 ++
 3 files changed, 12 insertions(+), 2 deletions(-)

commit 2f61ed2a17544fc7227d0ba0d83c94f3bb318ad4
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sun Apr 24 12:20:16 2005 +0000

    Use nsIWebBrowserSetup to disable global history and redirects, as well as
    
    2005-04-24  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Listener.cpp:
    	* src/Listener.h:
    	* src/main.cpp:
    
    	Use nsIWebBrowserSetup to disable global history and redirects,
    	as well as frames.

 ChangeLog        |    9 +++++++++
 src/Listener.cpp |   16 +++++++++++++++-
 src/Listener.h   |    1 +
 src/main.cpp     |    7 +++----
 4 files changed, 28 insertions(+), 5 deletions(-)

commit 8bf76501f1866f0d0ac0c32b5e0176a621763310
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Apr 24 12:06:15 2005 +0000

    Remove cruft

 test |  280 ------------------------------------------------------------------
 1 files changed, 0 insertions(+), 280 deletions(-)

commit 3451cbe7feb929455e1ce0dbc129c08b94ce2683
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sun Apr 24 11:47:46 2005 +0000

    Check for NULL arguments.
    
    2005-04-24  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/main.cpp:
    
    	Check for NULL arguments.

 ChangeLog    |    6 ++++++
 src/main.cpp |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit b93482667f7892cda449699e55459bfa3c086a68
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Apr 24 11:02:44 2005 +0000

    Update

 TODO |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit b2a12a24e6d4f1d26d3ea4a08688b932dab7841b
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sun Apr 24 09:28:16 2005 +0000

    Fix rounding in thumbnail height calculation.
    
    2005-04-24  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Writer.cpp:
    
    	Fix rounding in thumbnail height calculation.
    
    	* src/main.cpp:
    
    	Remove --thumbnail option from gnome-web-photo, and add defaults to
    	--width and --size.

 ChangeLog      |   11 +++++++++++
 src/Writer.cpp |    4 +++-
 src/main.cpp   |   24 ++++++++++--------------
 3 files changed, 24 insertions(+), 15 deletions(-)

commit c6fb94055014a95d367e66166b1db6c643cc8b65
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Apr 23 18:59:16 2005 +0000

    Add dummy prompt service implementation which always returns cancel.
    
    2005-04-23  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Components.cpp:
    	* src/Components.h:
    	* src/Makefile.am:
    	* src/main.cpp:
    
    	Add dummy prompt service implementation which always returns
    	cancel.

 ChangeLog          |   10 +++
 src/Components.cpp |  157 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/Components.h   |   40 +++++++++++++
 src/Makefile.am    |    4 +
 src/main.cpp       |    3 +
 5 files changed, 214 insertions(+), 0 deletions(-)

commit b3f61a9732d6c19bad06b424ca109c30b8056c04
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Apr 23 18:08:58 2005 +0000

    Disable formfill and password manager.
    
    2005-04-23  Christian Persch  <chpe@cvs.gnome.org>
    
    	* data/prefs.js:
    
    	Disable formfill and password manager.
    
    	* src/Writer.cpp:
    
    	Sanity check.

 ChangeLog      |   10 ++++++++++
 data/prefs.js  |    8 ++++++++
 src/Writer.cpp |    3 +++
 3 files changed, 21 insertions(+), 0 deletions(-)

commit 7c1f82f518d6467a9ba51e0a2f52f3b8b6838ed4
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Apr 23 15:39:48 2005 +0000

    Less debug output.
    
    2005-04-23  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Writer.cpp:
    
    	Less debug output.

 ChangeLog      |    6 ++++++
 src/Writer.cpp |    3 +--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 441eb1c91976741f784c749340f0503f72e83236
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Apr 23 15:24:09 2005 +0000

    More TODO

 TODO |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 51eb414552e5ab49be4588a5643377c9d93e4949
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Apr 23 15:18:01 2005 +0000

    Hack to get background images to load before onload. Many thanks to biesi
    
    2005-04-23  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    	* src/main.cpp:
    
    	Hack to get background images to load before onload.
    	Many thanks to biesi for giving me the hint that made me
    	think of this hack!

 COPYING.README |    8 +++++++-
 ChangeLog      |    9 +++++++++
 configure.ac   |    2 +-
 src/main.cpp   |   15 +++++++++++++++
 4 files changed, 32 insertions(+), 2 deletions(-)

commit 9de76f49661cbc35140f22433aa6dbc4ad3c443d
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Apr 23 14:38:53 2005 +0000

    And remove it again.
    
    2005-04-23  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    	* src/Makefile.am:
    	* src/Writer.cpp:
    	* src/Writer.h:
    	* src/main.cpp:
    
    	And remove it again.

 ChangeLog       |   10 ++++
 configure.ac    |   61 ++++++---------------------
 src/Makefile.am |    2 -
 src/Writer.cpp  |  123 +------------------------------------------------------
 src/Writer.h    |   26 ------------
 src/main.cpp    |   55 ++++--------------------
 6 files changed, 34 insertions(+), 243 deletions(-)

commit bb9a2fb8a69cb05aeea4ab4ded0ce26bd9030643
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Sat Apr 23 14:23:51 2005 +0000

    Add JPEG as optional output file format.
    
    2005-04-23  Christian Persch  <chpe@cvs.gnome.org>
    
    	* configure.ac:
    	* src/Makefile.am:
    	* src/Writer.cpp:
    	* src/Writer.h:
    	* src/main.cpp:
    
    	Add JPEG as optional output file format.

 ChangeLog       |   10 ++++
 configure.ac    |   61 +++++++++++++++++++++------
 src/Makefile.am |    2 +
 src/Writer.cpp  |  123 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/Writer.h    |   26 ++++++++++++
 src/main.cpp    |   55 ++++++++++++++++++++----
 6 files changed, 253 insertions(+), 24 deletions(-)

commit 331c9f966b1e091a8172108e748c46a349809957
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Fri Apr 22 20:22:51 2005 +0000

    Fix thumbnail aspect ratio.
    
    2005-04-22  Christian Persch  <chpe@cvs.gnome.org>
    
    	* src/Writer.cpp:
    
    	Fix thumbnail aspect ratio.

 ChangeLog      |    6 ++++++
 src/Writer.cpp |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 83b0c1dfc4be4f41545ed99d39d20b7b415e6436
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Apr 22 20:17:12 2005 +0000

    More TODO

 TODO |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 6d7093922d79edd76de08aaff89822af71a5d449
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Apr 21 20:58:05 2005 +0000

    Initial import of GNOME Web Photo.

commit a7a019b0a3a0a43740e20067d18255832cc18cd2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Apr 21 20:58:05 2005 +0000

    Initial revision

 .cvsignore                  |   25 ++
 AUTHORS                     |    2 +
 COPYING                     |  340 ++++++++++++++++++++++++++
 COPYING.README              |    8 +
 ChangeLog                   |    3 +
 HACKING                     |   32 +++
 MAINTAINERS                 |    1 +
 Makefile.am                 |   17 ++
 README                      |    7 +
 TODO                        |    4 +
 autogen.sh                  |   20 ++
 configure.ac                |  267 ++++++++++++++++++++
 data/.cvsignore             |    3 +
 data/Makefile.am            |   25 ++
 data/prefs.js               |   83 +++++++
 data/thumbnailer.schemas.in |   26 ++
 po/.cvsignore               |   15 ++
 po/LINGUAS                  |    4 +
 po/POTFILES.in              |    1 +
 po/POTFILES.skip            |    1 +
 src/.cvsignore              |    6 +
 src/Listener.cpp            |  102 ++++++++
 src/Listener.h              |   54 ++++
 src/Makefile.am             |   71 ++++++
 src/Writer.cpp              |  564 +++++++++++++++++++++++++++++++++++++++++++
 src/Writer.h                |   94 +++++++
 src/main.cpp                |  317 ++++++++++++++++++++++++
 test                        |  280 +++++++++++++++++++++
 28 files changed, 2372 insertions(+), 0 deletions(-)
